Package ghidra.graph.viewer.event.mouse

# Class VisualGraphScrollWheelPanningPlugin<V extends VisualVertex,E extends VisualEdge<V>>

java.lang.Object
edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin
ghidra.graph.viewer.event.mouse.VisualGraphScrollWheelPanningPlugin<V,E>

All Implemented Interfaces:
  `edu.uci.ics.jung.visualization.control.GraphMousePlugin`, `VisualGraphMousePlugin<V,E>`, `MouseWheelListener`, `EventListener`

public class VisualGraphScrollWheelPanningPlugin<V extends VisualVertex,E extends VisualEdge<V>> extends edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin implements MouseWheelListener, VisualGraphMousePlugin<V,E>

- ## Field Summary

  ### Fields inherited from class edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin

  `cursor, down, modifiers`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VisualGraphScrollWheelPanningPlugin()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `checkModifiers(MouseEvent e)`
  `void`
  `mouseWheelMoved(MouseWheelEvent e)`

  ### Methods inherited from class edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin

  `getCursor, getModifiers, setCursor, setModifiers`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ghidra.graph.viewer.event.mouse.VisualGraphMousePlugin

  `dispose, getGraphViewer, getSatelliteGraphViewer, getViewer, getViewUpdater, getViewUpdater`

- ## Constructor Details

  - ### VisualGraphScrollWheelPanningPlugin

    public VisualGraphScrollWheelPanningPlugin()

- ## Method Details

  - ### checkModifiers

    public boolean checkModifiers(MouseEvent e)
    Specified by:
      `checkModifiers` in interface `edu.uci.ics.jung.visualization.control.GraphMousePlugin`
    Overrides:
      `checkModifiers` in class `edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin`

  - ### mouseWheelMoved

    public void mouseWheelMoved(MouseWheelEvent e)
    Specified by:
      `mouseWheelMoved` in interface `MouseWheelListener`